Support » Plugin: Event Espresso Lite - Event Management and Registration System » This is the worse plugin ever…

  • I have developed more than 100 sites and used more than 100 plugins, this is, by far, the worse plugin ever.

    1) Very bad customer service
    2) No translation possibilities (not compatible with WPML, .poedit, or anything else)
    3) Whenever they release an update it creates more bugs than it fixes
    4) The security for the event registration is inexistant
    5) If you sell multi tickets, you can’t have questions only for specific tickets. So for example, if you sell tickets for a golf tournament, a breakfast and a dinner, you need to ask what they would like for dinner for the 3 tickets!!
    6) It is ridiculously priced!
    7) You need to contact customer service after purchasing the 200$ license before you can download it.

    It’s been a nightmare ever since I started using this plugin. Stay away, use woocommerce, another event plugin or have something developped but don’t pay 1$ for this. You will only lose your time.

Viewing 8 replies - 1 through 8 (of 8 total)
  • Andrew Nevins

    (@anevins)

    WCLDN 2018 Contributor | Volunteer support

    Hi jpdeanadams, I don’t mean to dismiss your comments by saying this, but is there anything about your review that you can apply to the free version of this plugin?

    It is that plugin that your review is representing, would it be okay if we asked you to change it so that it reflect that plugin?

    Sorry to hear you’re having a bad time 🙁

    Plugin Author sethshoultes

    (@sethshoultes)

    Thanks Andrew.

    @jpdeanadams Sorry to hear that you have had a negative experience with our support services. However, I must point that point #2 is incorrect in any version of Event Espresso. We do in fact support translations in our plugin via poedit, as seen in our plugin documentation and in the plugin files.

    I cannot provide feedback on your other statements, as they are not relevant to this version of Event Espresso, nor the current version of WordPress which you have stated to be 4.2.7 (screenshot: http://www.screencast.com/t/OLnKoILiiNK ).

    Thanks! Have a nice day 🙂

    I’m not able to pass final judgement as I am just beginning to try the plugin out. My first action is to make it translatable and I can confirm that is is even though your review at first disheartened me.
    If one is using PoEdit one can open the ‘event-espresso-free/languages/event_espresso.pot’ file with PoEdit and them save it as event_espresso_sv_SE.po (for Swedish in this example) and start translating.

    Plugin Author sethshoultes

    (@sethshoultes)

    Not sure why this review is still here. It hardly represents the plugin at all.

    Moderator Jan Dembowski

    (@jdembowski)

    Forum Moderator and Brute Squad

    Seth I’ve removed the modlook tag as it really doesn’t apply here.

    Sometimes reviews cross the line into UNFILTERED RAGEFACE! territory but this one hardly qualifies and won’t be deleted.

    It’s a point by point review and you replied. An author’s reply is worth more than a 1 star review if it’s a good reply and your response was good.

    Plugin Author sethshoultes

    (@sethshoultes)

    Makes sense. Thanks!

    I’m trying to use the translation files too but you need to change the file extension. Currently it is event_espresso.pot (Microsoft POWERPOINT)so not too helpful when you click on it! Change to .po and it works with poedit OK. This POT extension version is in the plugin language directory and Seth’s link above.

    POT stands for “Portable Objects Template” and POT files have been around as long as WordPress supported translation. Event Espresso is just following the WordPress norm for doing translations -> http://codex.wordpress.org/I18n_for_WordPress_Developers.

    So yes, although the .pot extension is also used by Microsoft Powerpoint, that does not mean it is invalid.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘This is the worse plugin ever…’ is closed to new replies.